## ros-indigo-bwi-tools 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(bwi_tools)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  cv_bridge
  nav_msgs
  roslib)

find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem)
find_package(TBB REQUIRED)

catkin_package(
  CATKIN_DEPENDS
    nav_msgs
    roslib
  DEPENDS 
    OpenCV
    BOOST
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} ${PROJECT_NAME}_json
)

catkin_python_setup()

## Build
add_definitions(-std=c++0x)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## The main bwi_rl library
add_library(${PROJECT_NAME}_json
  src/json/json_reader.cpp
  src/json/json_value.cpp
  src/json/json_writer.cpp
)

add_library(${PROJECT_NAME}
  src/common/Enum.cpp
  src/common/Util.cpp
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_json
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-bwi-tools (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-tools (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tools (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tools (0.3.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tools (0.3.8-0trusty) trusty; urgency=high

  * merged with yuqian's branch.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-tools (0.3.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.6-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.5-0trusty) trusty; urgency=high

  * bwi_tools: fix catkin lint problems (#31 <https://github.com/utexas-bwi/bwi_common/issues/31>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.3-0trusty) trusty; urgency=high

  * update roslaunch launcher to allow directly running a launch file using an absolute path.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Mar 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.3.0-0trusty) trusty; urgency=high

  * fix many catkin lint errors
    For remaining error, see #13 <https://github.com/utexas-bwi/bwi_common/issues/13>
  * indigo: fix opencv2 dependencies (#10 <https://github.com/utexas-bwi/bwi_common/issues/10>)
  * added missing dependency on roslib.
  * added a resource resolver from multimap code.
  * a lot of small utility functions.
  * Contributors: Jack O'Quin, Piyush Khandelwal, piyushk

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Mar 2015 05:00:00 -0000

ros-indigo-bwi-tools (0.2.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 29 Apr 2014 05:00:00 -0000

ros-indigo-bwi-tools (0.2.3-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-bwi-tools (0.2.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-bwi-tools (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 18 Apr 2014 05:00:00 -0000

ros-indigo-bwi-tools (0.2.0-0trusty) trusty; urgency=high

  * Initial release to Hydro.
  * Now passes catkin_lint checks.
  * Added ability to control the botton of bars and colors.
  * Added convenience function. expand legend automatically.
  * Added some common graphing functions.
  * Added roslaunch helper to bwi_tools.
  * Fixed dependencies in package.xml, fixed greyscale color in pgm
    image, added a python mapper helper.
  * Added a boost convenience wrapper.
  * Moved the unified point structure to bwi_common.
  * Migrated bwi_tools to bwi_common.

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 16 Apr 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-tools
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libblas-dev, libboost-all-dev, libtbb-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-nav-msgs, ros-indigo-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-dev, libtbb-dev, python-imaging, python-yaml, ros-indigo-cv-bridge, ros-indigo-nav-msgs, ros-indigo-roslib, ros-indigo-tf
Description: Contains commonly used Python and C++ structures and tools in the BWI project codebase

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
